grub failed to install -"/usr/share/ubiquity/plugininstall.py", line 1728, in <module>

Bug #1047436 reported by Georg Licen on 2012-09-07
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned

Bug Description

The installation of the bootloader failed.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ubiquity 2.10.20
ProcVersionSignature: Ubuntu 3.2.0-29.46-generic-pae 3.2.24
Uname: Linux 3.2.0-29-generic-pae i686
NonfreeKernelModules: wl
ApportVersion: 2.0.1-0ubuntu12
Architecture: i386
CasperVersion: 1.315
Date: Fri Sep 7 16:28:49 2012
InstallCmdLine: noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/ubuntu.seed boot=casper persistent initrd=/casper/initrd.lz splash -- BOOT_IMAGE=/casper/vmlinuz
LiveMediaBuild: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release i386 (20120817.3)
ProcEnviron:
 LANGUAGE=de_AT.UTF-8
 TERM=unknown
 PATH=(custom, no user)
 LANG=de_AT.UTF-8
 SHELL=/bin/bash
SourcePackage: grub-installer
UpgradeStatus: No upgrade log present (probably fresh install)

Georg Licen (georg-licen) wrote :
Sasa Paporovic (melchiaros) wrote :

In UbiquitySyslog.txt:

Sep 7 14:28:36 ubuntu ubiquity: umount: /target/cdrom: not mounted
Sep 7 14:28:36 ubuntu ubiquity:
Sep 7 14:28:36 ubuntu plugininstall.py: log-output -t ubiquity umount /target/cdrom
Sep 7 14:28:36 ubuntu finish-install: Disabling CD in sources.list
Sep 7 14:28:36 ubuntu plugininstall.py: Exception during installation:
Sep 7 14:28:36 ubuntu plugininstall.py: Traceback (most recent call last):
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1728, in <module>
Sep 7 14:28:36 ubuntu plugininstall.py: install.run()
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 55, in wrapper
Sep 7 14:28:36 ubuntu plugininstall.py: func(self)
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 215, in run
Sep 7 14:28:36 ubuntu plugininstall.py: self.remove_extras()
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1462, in remove_extras
Sep 7 14:28:36 ubuntu plugininstall.py: if self.db.get('apt-setup/restricted') == 'false':
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/lib/python2.7/dist-packages/debconf.py", line 60, in <lambda>
Sep 7 14:28:36 ubuntu plugininstall.py: lambda *args, **kw: self.command(command, *args, **kw))
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/lib/python2.7/dist-packages/debconf.py", line 81, in command
Sep 7 14:28:36 ubuntu plugininstall.py: status = int(status)
Sep 7 14:28:36 ubuntu plugininstall.py: ValueError: invalid literal for int() with base 10: ''
Sep 7 14:28:36 ubuntu plugininstall.py:
Sep 7 14:28:48 ubuntu ubiquity:
Sep 7 14:28:48 ubuntu ubiquity: (process:28838): Gtk-WARNING **: Locale not supported by C library.
Sep 7 14:28:48 ubuntu ubiquity: #011Using the fallback 'C' locale.
Sep 7 14:28:48 ubuntu ubiquity:
Sep 7 14:28:48 ubuntu ubiquity: ** (apport-gtk:28838): WARNING **: The connection is closed

summary: - Installation des boot loaders fehlgeschlagen
+ grub failed to install -"/usr/share/ubiquity/plugininstall.py", line
+ 1728, in <module>
description: updated
Changed in grub-installer (Ubuntu):
status: New → Confirmed
affects: grub-installer → ubiquity
affects: grub-installer (Ubuntu) → ubiquity (Ubuntu)
no longer affects: ubiquity

Exception during installation:
Sep 7 14:28:36 ubuntu plugininstall.py: Traceback (most recent call last):
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1728, in <module>
Sep 7 14:28:36 ubuntu plugininstall.py: install.run()
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 55, in wrapper
Sep 7 14:28:36 ubuntu plugininstall.py: func(self)
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 215, in run
Sep 7 14:28:36 ubuntu plugininstall.py: self.remove_extras()
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/share/ubiquity/plugininstall.py", line 1462, in remove_extras
Sep 7 14:28:36 ubuntu plugininstall.py: if self.db.get('apt-setup/restricted') == 'false':
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/lib/python2.7/dist-packages/debconf.py", line 60, in <lambda>
Sep 7 14:28:36 ubuntu plugininstall.py: lambda *args, **kw: self.command(command, *args, **kw))
Sep 7 14:28:36 ubuntu plugininstall.py: File "/usr/lib/python2.7/dist-packages/debconf.py", line 81, in command
Sep 7 14:28:36 ubuntu plugininstall.py: status = int(status)
Sep 7 14:28:36 ubuntu plugininstall.py: ValueError: invalid literal for int() with base 10: ''
Sep 7 14:28:36 ubuntu plugininstall.py:

tags: added: installer-crash
Changed in ubiquity (Ubuntu):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers